if not BLTNorushen then return end
local BLTNorushen = BLTNorushen
local DEFAULT_WIDTH = 800;
local DEFAULT_HEIGHT = 600;
local AceConfig = LibStub("AceConfig-3.0") -- For the options panel
local AceConfigDialog = LibStub("AceConfigDialog-3.0") -- Also for options panel
local AceDBOptions = LibStub("AceDBOptions-3.0") -- More database options
 
BLTNorushen.defaults = {
	profile = {
    numPrepull = 4,
    tank1 = "",
    tank2 = "",
    healer1 = "",
    healer2 = "",
    healer3 = "",
    healer4 = "",
    healer5 = "",
    healer6 = "",
    dps1 = "",
    dps2 = "",
    dps3 = "",
    dps4 = "",
    dps5 = "",
    dps6 = "",
    dps7 = "",	
    dps8 = "",
    dps9 = "",
    dps10 = "",
    dps11 = "",
    dps12 = "",
    dps13 = "",
    dps14 = "",
    dps15 = "",
    dps16 = "",
    dps17 = "",	
	},
}
 
BLTNorushen.options =  {
	type = "group",
	name = "BLT Norushen",
	args = {
    BLTNorushen_Header = {
			order = 1,
			type = "header",
			name = "Version: |cff99ff33 1.0 |r",
			width = "full",        
    },
    general = {
			order = 1,
			type = "group",
			name = "Attrib Norushen",
			cmdInline = true,
			get = function(info, value)
				return BLTNorushen.db.profile[info[#info]];
			end,
			set = function(info, value)
				BLTNorushen.db.profile[info[#info]] = value;
			end,
			args = {
				configure = {
					order = 1,
					type = "execute",
					name = "Scan Group",
					desc = "Scan your group to automatic assign.",
					func = function()
							createNorushenGroup();
					end,
					width = "full",
				},
				grp = {
					order = 1,
					type = "group",
					name = "Attrib",
					guiInline = true,
					args = {
						numPrepull = { order = 1, type = "input", name = "Num Prepull", },
						dps1 = { order = 2, type = "input", name = "DPS #1", },
						dps2 = { order = 3, type = "input", name = "DPS #2", },
						dps3 = { order = 4, type = "input", name = "DPS #3", },
						dps4 = { order = 5, type = "input", name = "DPS #4", },
						dps5 = { order = 6, type = "input", name = "DPS #5", },
						dps6 = { order = 7, type = "input", name = "DPS #6", },
						dps7 = { order = 8, type = "input", name = "DPS #7", },
						dps8 = { order = 9, type = "input", name = "DPS #8", },
						dps9 = { order = 10, type = "input", name = "DPS #9", },
						dps10 = { order = 11, type = "input", name = "DPS #10", },
						dps11 = { order = 12, type = "input", name = "DPS #11", },
						dps12 = { order = 13, type = "input", name = "DPS #12", },
						dps13 = { order = 14, type = "input", name = "DPS #13", },
						dps14 = { order = 15, type = "input", name = "DPS #14", },
						dps15 = { order = 16, type = "input", name = "DPS #15", },
						dps16 = { order = 17, type = "input", name = "DPS #16", },
						dps17 = { order = 18, type = "input", name = "DPS #17", },
					},
				}
      },
    },
	},
}

function createNorushenGroup()
	print('YEAH CREATE GROUP');
  local id_heal=1
  local id_tank=1
  local id_dps=1
  
  for i=1,2 do
    BLTNorushen.db.profile['tank'..tostring(i)] = ""
  end
  for i=1,6 do
    BLTNorushen.db.profile['healer'..tostring(i)] = ""
  end
  for i=1,17 do
    BLTNorushen.db.profile['dps'..tostring(i)] = ""
  end
  
	for i = 1, GetNumGroupMembers() do
		local name, rank, subgroup, level, class, fileName, zone, online, isDead, role, isML = GetRaidRosterInfo(i)
		local raidRole = UnitGroupRolesAssigned(name)
		
		if raidRole == "HEALER" then
			BLTNorushen.db.profile['healer'..tostring(id_heal)] = name
      id_heal=id_heal+1
		elseif raidRole == "TANK" then
			BLTNorushen.db.profile['tank'..tostring(id_tank)] = name
      id_tank=id_tank+1
		elseif raidRole == "DAMAGER" then
			BLTNorushen.db.profile['dps'..tostring(id_dps)] = name
      id_dps=id_dps+1
      
		end
	end
end

function BLTNorushen.InitOptions()
	AceConfigDialog:Open("BLTNorushen")
end

function BLTNorushen.SetupOptions()
	BLTNorushen.options.args.profile = AceDBOptions:GetOptionsTable(BLTNorushen.db)
	AceConfig:RegisterOptionsTable("BLTNorushen", BLTNorushen.options)
	AceConfigDialog:SetDefaultSize("BLTNorushen", DEFAULT_WIDTH, DEFAULT_HEIGHT)
end